## org.hibernate.annotations
Annotation Type Source

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface Source

Optional annotation in conjunction with `Version` and timestamp version properties. The annotation value decides where the timestamp is generated.

Author:
  Hardy Ferentschik

Optional Element Summary
`SourceType` `value`

### value

    public abstract SourceType value

  Default:
    org.hibernate.annotations.SourceType.VM

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.